Drop support for old Ubuntu versions we no longer use